Get all available TLDs
GET
https://api.lws.net/v1/
operationIdgetDomainTlds
Get a list of all available TLDs, their pricing information and other parameters. This contains all TLDs that can be bought through our services.
Responses
200
TLDs list retrieved as an associative array.
{
"code": 200,
"info": "All TLDs fetched",
"data": [
{
"tld": ".fr",
"transfer_possible": "oui",
"local_country": "oui",
"restore_possible": "oui",
"price_purchase": "6.99",
"price_purchase_offer": "6.99",
"price_renew": "8.99",
"price_restore": "19.99",
"price_transfer": "4.99",
"length": "3-63",
"minimum_period": "1"
}
]
}
Response fields 14 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
dataobject[] -
tldstringTop-Level Domain
-
transfer_possiblestringWhether the TLD can be transferred to another registrar. 'oui' means transfer is possible, 'non' means transfer is prohibited.
-
local_countrystringWhether the TLD is reserved for a specific country. 'oui' means the TLD is reserved for a specific country, 'non' means it is not reserved.
-
restore_possiblestringWhether the TLD can be restored after expiration. 'oui' means restoration is possible, 'non' means restoration is prohibited.
-
price_purchasestringPrice to purchase the TLD
-
price_purchase_offerstringPrice to purchase the TLD with an offer
-
price_renewstringPrice to renew the TLD
-
price_restorestringPrice to restore the TLD after expiration
-
price_transferstringPrice to transfer the TLD to another registrar
-
lengthstringLength of the TLD name. Vary between each TLD but has a maximum of 63 characters
-
minimum_periodstringMinimum period to purchase the TLD (in year)
404
TLDs not found
{
"code": 404,
"info": "No TLDs found"
}
Response fields 2 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
500
Internal Server Error
{
"code": 500,
"info": "Internal Server Error",
"data": "string"
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datastringDetailed message about the error
502
Bad Gateway
{
"code": 502,
"info": "Invalid response from upstream server",
"data": []
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
dataobjectInvalid response returned by the server
401
Unauthorized - Missing authentication headers
{
"code": 401,
"info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
-
codeinteger -
infostring
429
Rate limit exceeded
{
"code": 429,
"info": "Rate limit exceeded. Please try again later."
}
Response fields 2
-
codeinteger -
infostring